#******************************************************************************
# 
# File   : ArgosBS.py
# Authors:	Clay Shepard (cws [at] rice.edu)
# License:	Copyright 2015, Rice Efficient Computing Group. All rights reserved.
#
#******************************************************************************

import struct
#import numpy as np
from argoscc.ArgosBS_SM import ArgosBS_SM
from argoscc.argosbb import ArgosBB
#import argosbb

class ArgosBS(ArgosBB,ArgosBS_SM):

	GRPID = 0x60
	GRP = 'ArgosBS'
	
	Misc_Offset = ArgosBB.Misc_Offset
	
	SINGLE_SYNC 			= 1 + Misc_Offset
	ENABLE_CALIB			= 2 + Misc_Offset
	DISABLE_CALIB			= 3 + Misc_Offset
	ENABLE_SCALING	 		= 4 + Misc_Offset
	DISABLE_SCALING			= 5 + Misc_Offset
	ENABLE_TERM_SCALING		= 6 + Misc_Offset
	DISABLE_TERM_SCALING	= 7 + Misc_Offset
	PREAMBLE_BW_RST			= 8 + Misc_Offset
	PAGE_BW_RST				= 9 + Misc_Offset
	PAGE_SEL				= 10 + Misc_Offset
	NUMBEAMPERSWEEP			= 11 + Misc_Offset
	NUMBS					= 12 + Misc_Offset
	SYNC_DELAY				= 13 + Misc_Offset

	#MOD_CONFIG		
	ENABLE_BYPASSMOD		= 41 + Misc_Offset
	DISABLE_BYPASSMOD		= 42 + Misc_Offset
	ENABLE_USEFFT			= 43 + Misc_Offset
	DISABLE_USEFFT			= 44 + Misc_Offset
	SAMPPERSYM				= 45 + Misc_Offset
	FFTLENGTH				= 46 + Misc_Offset
	BANDWIDTH_SEL			= 47 + Misc_Offset

	#ZEROINSERT
	ZEROINSERT_DC			= 81 + Misc_Offset
	ZEROINSERT_LOW			= 82 + Misc_Offset
	ZEROINSERT_HIGH			= 83 + Misc_Offset

	#PILOT_CONFIG
	PILOT_START				= 120 + Misc_Offset
	PILOT_END				= 121 + Misc_Offset
	PILOT_TX_END			= 122 + Misc_Offset
	PILOT_LENGTH_SEL		= 123 + Misc_Offset
    
	def procReply(self, cmdID=None, data=None):
		"""RSSI reads shouldn't be converted to IQ, so we override the default procReply."""
		#if ((cmdID&0x00FF) >= ArgosBS.RSSI_BUFF_RADIO_1) and ((cmdID&0x00FF) <= ArgosBS.RSSI_BUFF_RADIO_4):
		if (cmdID&0x00FF) in self.RSSI_BUFF_RADIO:
			return struct.unpack(">%dI" % ( (len(data)-34)//4 ), data[34:])
		else:
			return super().procReply(cmdID,data)
