#******************************************************************************
# **********THIS FILE IS AUTO-GENERATED -- DO NOT DIRECTLY MODIFY!*************
# File   : ArgosBS_SM.py
# Authors:	Clay Shepard (cws [at] rice.edu)
# License:	Copyright 2015, Rice Efficient Computing Group. All rights reserved.
#
#******************************************************************************

'''
register command defines for ArgosBS

There are four basic types of operations:

 1) A register read will read one or more values from a given address.  
  
 2) Similarly, a register write will write to one or more values contiguous in the .h file's memory pointer definition (not the actual memory space). 

 3) A buff read will read the specified number of values from the array. By default an operation on a buffer with one argument is a read of length specified by the arg.

 4) A buff write will write the provided data to the buffer. 

'''

class ArgosBS_SM:



		#######Begin Shared Memories#######
		AGC_CONFIG = 0
		ARGOSBS_CONFIG = 1
		BS_INDEX_RADIO_1 = 2
		BS_INDEX_RADIO_2 = 3
		BS_INDEX_RADIO_3 = 4
		BS_INDEX_RADIO_4 = 5
		BS_INDEX_RADIO = [ BS_INDEX_RADIO_1, BS_INDEX_RADIO_2, BS_INDEX_RADIO_3, BS_INDEX_RADIO_4, ]
		CC_RADIO_1 = 6
		CC_RADIO_2 = 7
		CC_RADIO_3 = 8
		CC_RADIO_4 = 9
		CC_RADIO = [ CC_RADIO_1, CC_RADIO_2, CC_RADIO_3, CC_RADIO_4, ]
		CPLENGTH = 10
		DOWNEND = 11
		DOWNSTART = 12
		ENSYNCOUT = 13
		FFT_SCALING = 14
		FRAMECOUNT = 15
		FRAMELENGTH = 16
		FRAMENUMBER = 17
		MODSELECT = 18
		MOD_CONFIG = 19
		NUMSYMS = 20
		PILOTEND = 21
		PILOTSTART = 22
		PILOT_CONFIG = 23
		PREAMBLEEND = 24
		PREAMBLESTART = 25
		RADIOEN = 26
		RSSI_LENGTH_SEL = 27
		SETAGC = 28
		TOGGLENFRAMES = 29
		UPEND = 30
		UPSTART = 31
		ZEROINSERT = 32
		AGC_GAINS_BUFF_RADIO_1 = 33
		AGC_GAINS_BUFF_RADIO_2 = 34
		AGC_GAINS_BUFF_RADIO_3 = 35
		AGC_GAINS_BUFF_RADIO_4 = 36
		AGC_GAINS_BUFF_RADIO = [ AGC_GAINS_BUFF_RADIO_1, AGC_GAINS_BUFF_RADIO_2, AGC_GAINS_BUFF_RADIO_3, AGC_GAINS_BUFF_RADIO_4, ]
		AGC_LUT_BUFF_RADIO_1 = 37
		AGC_LUT_BUFF_RADIO_2 = 38
		AGC_LUT_BUFF_RADIO_3 = 39
		AGC_LUT_BUFF_RADIO_4 = 40
		AGC_LUT_BUFF_RADIO = [ AGC_LUT_BUFF_RADIO_1, AGC_LUT_BUFF_RADIO_2, AGC_LUT_BUFF_RADIO_3, AGC_LUT_BUFF_RADIO_4, ]
		BW_DOWN_BUFF_TERM_1_RADIO_1 = 41
		BW_DOWN_BUFF_TERM_2_RADIO_1 = 42
		BW_DOWN_BUFF_TERM_3_RADIO_1 = 43
		BW_DOWN_BUFF_TERM_4_RADIO_1 = 44
		BW_DOWN_BUFF_TERM_1_RADIO_2 = 45
		BW_DOWN_BUFF_TERM_2_RADIO_2 = 46
		BW_DOWN_BUFF_TERM_3_RADIO_2 = 47
		BW_DOWN_BUFF_TERM_4_RADIO_2 = 48
		BW_DOWN_BUFF_TERM_1_RADIO_3 = 49
		BW_DOWN_BUFF_TERM_2_RADIO_3 = 50
		BW_DOWN_BUFF_TERM_3_RADIO_3 = 51
		BW_DOWN_BUFF_TERM_4_RADIO_3 = 52
		BW_DOWN_BUFF_TERM_1_RADIO_4 = 53
		BW_DOWN_BUFF_TERM_2_RADIO_4 = 54
		BW_DOWN_BUFF_TERM_3_RADIO_4 = 55
		BW_DOWN_BUFF_TERM_4_RADIO_4 = 56
		BW_DOWN_BUFF_TERM_RADIO = [ BW_DOWN_BUFF_TERM_1_RADIO_1, BW_DOWN_BUFF_TERM_2_RADIO_1, BW_DOWN_BUFF_TERM_3_RADIO_1, BW_DOWN_BUFF_TERM_4_RADIO_1, BW_DOWN_BUFF_TERM_1_RADIO_2, BW_DOWN_BUFF_TERM_2_RADIO_2, BW_DOWN_BUFF_TERM_3_RADIO_2, BW_DOWN_BUFF_TERM_4_RADIO_2, BW_DOWN_BUFF_TERM_1_RADIO_3, BW_DOWN_BUFF_TERM_2_RADIO_3, BW_DOWN_BUFF_TERM_3_RADIO_3, BW_DOWN_BUFF_TERM_4_RADIO_3, BW_DOWN_BUFF_TERM_1_RADIO_4, BW_DOWN_BUFF_TERM_2_RADIO_4, BW_DOWN_BUFF_TERM_3_RADIO_4, BW_DOWN_BUFF_TERM_4_RADIO_4, ]
		BW_UP_BUFF_TERM_1_RADIO_1 = 57
		BW_UP_BUFF_TERM_2_RADIO_1 = 58
		BW_UP_BUFF_TERM_3_RADIO_1 = 59
		BW_UP_BUFF_TERM_4_RADIO_1 = 60
		BW_UP_BUFF_TERM_1_RADIO_2 = 61
		BW_UP_BUFF_TERM_2_RADIO_2 = 62
		BW_UP_BUFF_TERM_3_RADIO_2 = 63
		BW_UP_BUFF_TERM_4_RADIO_2 = 64
		BW_UP_BUFF_TERM_1_RADIO_3 = 65
		BW_UP_BUFF_TERM_2_RADIO_3 = 66
		BW_UP_BUFF_TERM_3_RADIO_3 = 67
		BW_UP_BUFF_TERM_4_RADIO_3 = 68
		BW_UP_BUFF_TERM_1_RADIO_4 = 69
		BW_UP_BUFF_TERM_2_RADIO_4 = 70
		BW_UP_BUFF_TERM_3_RADIO_4 = 71
		BW_UP_BUFF_TERM_4_RADIO_4 = 72
		BW_UP_BUFF_TERM_RADIO = [ BW_UP_BUFF_TERM_1_RADIO_1, BW_UP_BUFF_TERM_2_RADIO_1, BW_UP_BUFF_TERM_3_RADIO_1, BW_UP_BUFF_TERM_4_RADIO_1, BW_UP_BUFF_TERM_1_RADIO_2, BW_UP_BUFF_TERM_2_RADIO_2, BW_UP_BUFF_TERM_3_RADIO_2, BW_UP_BUFF_TERM_4_RADIO_2, BW_UP_BUFF_TERM_1_RADIO_3, BW_UP_BUFF_TERM_2_RADIO_3, BW_UP_BUFF_TERM_3_RADIO_3, BW_UP_BUFF_TERM_4_RADIO_3, BW_UP_BUFF_TERM_1_RADIO_4, BW_UP_BUFF_TERM_2_RADIO_4, BW_UP_BUFF_TERM_3_RADIO_4, BW_UP_BUFF_TERM_4_RADIO_4, ]
		CSI_UP_BUFF_RADIO_1 = 73
		CSI_UP_BUFF_RADIO_2 = 74
		CSI_UP_BUFF_RADIO_3 = 75
		CSI_UP_BUFF_RADIO_4 = 76
		CSI_UP_BUFF_RADIO = [ CSI_UP_BUFF_RADIO_1, CSI_UP_BUFF_RADIO_2, CSI_UP_BUFF_RADIO_3, CSI_UP_BUFF_RADIO_4, ]
		DOWN_ENBUFF = 77
		INVPILOT_BUFF = 78
		PAGE_BW_BUFF_RADIO_1 = 79
		PAGE_BW_BUFF_RADIO_2 = 80
		PAGE_BW_BUFF_RADIO_3 = 81
		PAGE_BW_BUFF_RADIO_4 = 82
		PAGE_BW_BUFF_RADIO = [ PAGE_BW_BUFF_RADIO_1, PAGE_BW_BUFF_RADIO_2, PAGE_BW_BUFF_RADIO_3, PAGE_BW_BUFF_RADIO_4, ]
		PREAMBLE_BW_BUFF_RADIO_1 = 83
		PREAMBLE_BW_BUFF_RADIO_2 = 84
		PREAMBLE_BW_BUFF_RADIO_3 = 85
		PREAMBLE_BW_BUFF_RADIO_4 = 86
		PREAMBLE_BW_BUFF_RADIO = [ PREAMBLE_BW_BUFF_RADIO_1, PREAMBLE_BW_BUFF_RADIO_2, PREAMBLE_BW_BUFF_RADIO_3, PREAMBLE_BW_BUFF_RADIO_4, ]
		RSSI_BUFF_RADIO_1 = 87
		RSSI_BUFF_RADIO_2 = 88
		RSSI_BUFF_RADIO_3 = 89
		RSSI_BUFF_RADIO_4 = 90
		RSSI_BUFF_RADIO = [ RSSI_BUFF_RADIO_1, RSSI_BUFF_RADIO_2, RSSI_BUFF_RADIO_3, RSSI_BUFF_RADIO_4, ]
		RXBUFF_PILOT_RADIO_1 = 91
		RXBUFF_PILOT_RADIO_2 = 92
		RXBUFF_PILOT_RADIO_3 = 93
		RXBUFF_PILOT_RADIO_4 = 94
		RXBUFF_PILOT_RADIO = [ RXBUFF_PILOT_RADIO_1, RXBUFF_PILOT_RADIO_2, RXBUFF_PILOT_RADIO_3, RXBUFF_PILOT_RADIO_4, ]
		RXBUFF_RADIO_1 = 95
		RXBUFF_RADIO_2 = 96
		RXBUFF_RADIO_3 = 97
		RXBUFF_RADIO_4 = 98
		RXBUFF_RADIO = [ RXBUFF_RADIO_1, RXBUFF_RADIO_2, RXBUFF_RADIO_3, RXBUFF_RADIO_4, ]
		TERMINALSCALING_BUFF = 99
		TXBUFF_PAGE_0 = 100
		TXBUFF_PAGE_1 = 101
		TXBUFF_PAGE_2 = 102
		TXBUFF_PAGE_3 = 103
		TXBUFF_PAGE_4 = 104
		TXBUFF_PAGE = [ TXBUFF_PAGE_0, TXBUFF_PAGE_1, TXBUFF_PAGE_2, TXBUFF_PAGE_3, TXBUFF_PAGE_4, ]
		TXBUFF_PILOT = 105
		TXBUFF_TERM_1 = 106
		TXBUFF_TERM_2 = 107
		TXBUFF_TERM_3 = 108
		TXBUFF_TERM_4 = 109
		TXBUFF_TERM = [ TXBUFF_TERM_1, TXBUFF_TERM_2, TXBUFF_TERM_3, TXBUFF_TERM_4, ]


		buffer_start = AGC_GAINS_BUFF_RADIO_1


		buffer_end = TXBUFF_TERM_4
