#******************************************************************************
# **********THIS FILE IS AUTO-GENERATED -- DO NOT DIRECTLY MODIFY!*************
# File   : ArgosBS_SM.py
# Authors:	Clay Shepard (cws [at] rice.edu)
# License:	Copyright 2015, Rice Efficient Computing Group. All rights reserved.
#
#******************************************************************************

'''
register command defines for ArgosBS

There are four basic types of operations:

 1) A register read will read one or more values from a given address.  
  
 2) Similarly, a register write will write to one or more values contiguous in the .h file's memory pointer definition (not the actual memory space). 

 3) A buff read will read the specified number of values from the array. By default an operation on a buffer with one argument is a read of length specified by the arg.

 4) A buff write will write the provided data to the buffer. 

'''

class ArgosBS_WURC_SM:



		#######Begin Shared Memories#######
		ARGOSBS_CONFIG = 0
		BS_INDEX_RADIO_1 = 1
		BS_INDEX_RADIO_2 = 2
		BS_INDEX_RADIO_3 = 3
		BS_INDEX_RADIO_4 = 4
		BS_INDEX_RADIO = [ BS_INDEX_RADIO_1, BS_INDEX_RADIO_2, BS_INDEX_RADIO_3, BS_INDEX_RADIO_4, ]
		CC_RADIO_1 = 5
		CC_RADIO_2 = 6
		CC_RADIO_3 = 7
		CC_RADIO_4 = 8
		CC_RADIO = [ CC_RADIO_1, CC_RADIO_2, CC_RADIO_3, CC_RADIO_4, ]
		CPLENGTH = 9
		DOWNEND = 10
		DOWNSTART = 11
		ENSYNCOUT = 12
		FFT_SCALING = 13
		FRAMECOUNT = 14
		FRAMELENGTH = 15
		FRAMENUMBER = 16
		MODSELECT = 17
		MOD_CONFIG = 18
		NUMSYMS = 19
		PILOTEND = 20
		PILOTSTART = 21
		PILOT_CONFIG = 22
		PREAMBLEEND = 23
		PREAMBLESTART = 24
		RADIOEN = 25
		RSSI_LENGTH_SEL = 26
		SETAGC = 27
		TOGGLENFRAMES = 28
		UPEND = 29
		UPSTART = 30
		UP_SAMPLE_RATE = 31
		ZEROINSERT = 32
		BW_DOWN_BUFF_TERM_1_RADIO_1 = 33
		BW_DOWN_BUFF_TERM_2_RADIO_1 = 34
		BW_DOWN_BUFF_TERM_3_RADIO_1 = 35
		BW_DOWN_BUFF_TERM_4_RADIO_1 = 36
		BW_DOWN_BUFF_TERM_1_RADIO_2 = 37
		BW_DOWN_BUFF_TERM_2_RADIO_2 = 38
		BW_DOWN_BUFF_TERM_3_RADIO_2 = 39
		BW_DOWN_BUFF_TERM_4_RADIO_2 = 40
		BW_DOWN_BUFF_TERM_1_RADIO_3 = 41
		BW_DOWN_BUFF_TERM_2_RADIO_3 = 42
		BW_DOWN_BUFF_TERM_3_RADIO_3 = 43
		BW_DOWN_BUFF_TERM_4_RADIO_3 = 44
		BW_DOWN_BUFF_TERM_1_RADIO_4 = 45
		BW_DOWN_BUFF_TERM_2_RADIO_4 = 46
		BW_DOWN_BUFF_TERM_3_RADIO_4 = 47
		BW_DOWN_BUFF_TERM_4_RADIO_4 = 48
		BW_DOWN_BUFF_TERM_RADIO = [ BW_DOWN_BUFF_TERM_1_RADIO_1, BW_DOWN_BUFF_TERM_2_RADIO_1, BW_DOWN_BUFF_TERM_3_RADIO_1, BW_DOWN_BUFF_TERM_4_RADIO_1, BW_DOWN_BUFF_TERM_1_RADIO_2, BW_DOWN_BUFF_TERM_2_RADIO_2, BW_DOWN_BUFF_TERM_3_RADIO_2, BW_DOWN_BUFF_TERM_4_RADIO_2, BW_DOWN_BUFF_TERM_1_RADIO_3, BW_DOWN_BUFF_TERM_2_RADIO_3, BW_DOWN_BUFF_TERM_3_RADIO_3, BW_DOWN_BUFF_TERM_4_RADIO_3, BW_DOWN_BUFF_TERM_1_RADIO_4, BW_DOWN_BUFF_TERM_2_RADIO_4, BW_DOWN_BUFF_TERM_3_RADIO_4, BW_DOWN_BUFF_TERM_4_RADIO_4, ]
		BW_UP_BUFF_TERM_1_RADIO_1 = 49
		BW_UP_BUFF_TERM_2_RADIO_1 = 50
		BW_UP_BUFF_TERM_3_RADIO_1 = 51
		BW_UP_BUFF_TERM_4_RADIO_1 = 52
		BW_UP_BUFF_TERM_1_RADIO_2 = 53
		BW_UP_BUFF_TERM_2_RADIO_2 = 54
		BW_UP_BUFF_TERM_3_RADIO_2 = 55
		BW_UP_BUFF_TERM_4_RADIO_2 = 56
		BW_UP_BUFF_TERM_1_RADIO_3 = 57
		BW_UP_BUFF_TERM_2_RADIO_3 = 58
		BW_UP_BUFF_TERM_3_RADIO_3 = 59
		BW_UP_BUFF_TERM_4_RADIO_3 = 60
		BW_UP_BUFF_TERM_1_RADIO_4 = 61
		BW_UP_BUFF_TERM_2_RADIO_4 = 62
		BW_UP_BUFF_TERM_3_RADIO_4 = 63
		BW_UP_BUFF_TERM_4_RADIO_4 = 64
		BW_UP_BUFF_TERM_RADIO = [ BW_UP_BUFF_TERM_1_RADIO_1, BW_UP_BUFF_TERM_2_RADIO_1, BW_UP_BUFF_TERM_3_RADIO_1, BW_UP_BUFF_TERM_4_RADIO_1, BW_UP_BUFF_TERM_1_RADIO_2, BW_UP_BUFF_TERM_2_RADIO_2, BW_UP_BUFF_TERM_3_RADIO_2, BW_UP_BUFF_TERM_4_RADIO_2, BW_UP_BUFF_TERM_1_RADIO_3, BW_UP_BUFF_TERM_2_RADIO_3, BW_UP_BUFF_TERM_3_RADIO_3, BW_UP_BUFF_TERM_4_RADIO_3, BW_UP_BUFF_TERM_1_RADIO_4, BW_UP_BUFF_TERM_2_RADIO_4, BW_UP_BUFF_TERM_3_RADIO_4, BW_UP_BUFF_TERM_4_RADIO_4, ]
		CSI_UP_BUFF_RADIO_1 = 65
		CSI_UP_BUFF_RADIO_2 = 66
		CSI_UP_BUFF_RADIO_3 = 67
		CSI_UP_BUFF_RADIO_4 = 68
		CSI_UP_BUFF_RADIO = [ CSI_UP_BUFF_RADIO_1, CSI_UP_BUFF_RADIO_2, CSI_UP_BUFF_RADIO_3, CSI_UP_BUFF_RADIO_4, ]
		DOWN_ENBUFF = 69
		INVPILOT_BUFF = 70
		PAGE_BW_BUFF_RADIO_1 = 71
		PAGE_BW_BUFF_RADIO_2 = 72
		PAGE_BW_BUFF_RADIO_3 = 73
		PAGE_BW_BUFF_RADIO_4 = 74
		PAGE_BW_BUFF_RADIO = [ PAGE_BW_BUFF_RADIO_1, PAGE_BW_BUFF_RADIO_2, PAGE_BW_BUFF_RADIO_3, PAGE_BW_BUFF_RADIO_4, ]
		PREAMBLE_BW_BUFF_RADIO_1 = 75
		PREAMBLE_BW_BUFF_RADIO_2 = 76
		PREAMBLE_BW_BUFF_RADIO_3 = 77
		PREAMBLE_BW_BUFF_RADIO_4 = 78
		PREAMBLE_BW_BUFF_RADIO = [ PREAMBLE_BW_BUFF_RADIO_1, PREAMBLE_BW_BUFF_RADIO_2, PREAMBLE_BW_BUFF_RADIO_3, PREAMBLE_BW_BUFF_RADIO_4, ]
		RXBUFF_PILOT_RADIO_1 = 79
		RXBUFF_PILOT_RADIO_2 = 80
		RXBUFF_PILOT_RADIO_3 = 81
		RXBUFF_PILOT_RADIO_4 = 82
		RXBUFF_PILOT_RADIO = [ RXBUFF_PILOT_RADIO_1, RXBUFF_PILOT_RADIO_2, RXBUFF_PILOT_RADIO_3, RXBUFF_PILOT_RADIO_4, ]
		RXBUFF_RADIO_1 = 83
		RXBUFF_RADIO_2 = 84
		RXBUFF_RADIO_3 = 85
		RXBUFF_RADIO_4 = 86
		RXBUFF_RADIO = [ RXBUFF_RADIO_1, RXBUFF_RADIO_2, RXBUFF_RADIO_3, RXBUFF_RADIO_4, ]
		TERMINALSCALING_BUFF = 87
		TXBUFF_PAGE_0 = 88
		TXBUFF_PAGE_1 = 89
		TXBUFF_PAGE_2 = 90
		TXBUFF_PAGE_3 = 91
		TXBUFF_PAGE_4 = 92
		TXBUFF_PAGE = [ TXBUFF_PAGE_0, TXBUFF_PAGE_1, TXBUFF_PAGE_2, TXBUFF_PAGE_3, TXBUFF_PAGE_4, ]
		TXBUFF_PILOT = 93
		TXBUFF_TERM_1 = 94
		TXBUFF_TERM_2 = 95
		TXBUFF_TERM_3 = 96
		TXBUFF_TERM_4 = 97
		TXBUFF_TERM = [ TXBUFF_TERM_1, TXBUFF_TERM_2, TXBUFF_TERM_3, TXBUFF_TERM_4, ]


		buffer_start = BW_DOWN_BUFF_TERM_1_RADIO_1


		buffer_end = TXBUFF_TERM_4
