#******************************************************************************
# 
# File   : ArgosMobile.py
# Authors:	Clay Shepard (cws [at] rice.edu)
# License:	Copyright 2015, Rice Efficient Computing Group. All rights reserved.
#
#******************************************************************************

import struct
#import numpy as np
from argoscc.ArgosMobile_SM import ArgosMobile_SM
from argoscc.argosbb import ArgosBB
#import argosbb
	
class ArgosMobile(ArgosBB,ArgosMobile_SM):

	GRPID = 0x70
	GRP = 'ArgosMobile'
	
	Misc_Offset = ArgosBB.Misc_Offset

	# Miscellaneous function mappings 
	DISABLE_CFO = 1 + Misc_Offset
	ENABLE_CFO = 2 + Misc_Offset
	SET_CORR_RADIO_TO_A = 3 + Misc_Offset
	SET_CORR_RADIO_TO_B = 4 + Misc_Offset
	RST_CORR = 5 + Misc_Offset
	SELECT_CFO_MODULE = 6 + Misc_Offset
	DISABLE_DCO = 7 + Misc_Offset
	ENABLE_DCO = 8 + Misc_Offset
	SET_CFO_HIGH_TRESH = 9 + Misc_Offset
	SET_CFO_LOW_TRESH = 10 + Misc_Offset
	SET_CORR_RATE = 11 + Misc_Offset
	SET_CORR_LENGTH = 12 + Misc_Offset
	ENABLE_CONTINUOUS_DCO = 13 + Misc_Offset
	DISABLE_CONTINUOUS_DCO = 14 + Misc_Offset
	SET_DCO_LENGTH = 15 + Misc_Offset
	SET_AGC_LENGTH = 16 + Misc_Offset
	ENABLE_CFO_AVERAGER = 17 + Misc_Offset
	DISABLE_CFO_AVERAGER = 18 + Misc_Offset
	
	def procReply(self, cmdID=None, data=None):
		"""RSSI reads shouldn't be converted to IQ, so we override the default procReply."""
		if ((cmdID&0x00FF) == ArgosMobile.RSSI_BUFF_RADIO_1) or ((cmdID&0x00FF) == ArgosMobile.RSSI_BUFF_RADIO_2):
			return struct.unpack(">%dI" % ( (len(data)-34)//4 ), data[34:])
		else:
			return super().procReply(cmdID,data)
