#******************************************************************************
# **********THIS FILE IS AUTO-GENERATED -- DO NOT DIRECTLY MODIFY!*************
# File   : ArgosMobile_SM.py
# Authors:	Clay Shepard (cws [at] rice.edu)
# License:	Copyright 2015, Rice Efficient Computing Group. All rights reserved.
#
#******************************************************************************

'''
register command defines for ArgosMobile

There are four basic types of operations:

 1) A register read will read one or more values from a given address.  
  
 2) Similarly, a register write will write to one or more values contiguous in the .h file's memory pointer definition (not the actual memory space). 

 3) A buff read will read the specified number of values from the array. By default an operation on a buffer with one argument is a read of length specified by the arg.

 4) A buff write will write the provided data to the buffer. 

'''

class ArgosMobile_SM:



		#######Begin Shared Memories#######
		AGC_RSSI_RADIO_1 = 0
		AGC_RSSI_RADIO_2 = 1
		AGC_RSSI_RADIO = [ AGC_RSSI_RADIO_1, AGC_RSSI_RADIO_2, ]
		ARGOSSYNC_CONFIG = 2
		CFO_FREQ = 3
		CONTINUOUSFRAMES = 4
		CORRELATORSELECT = 5
		CORRELATOR_1_COUNT = 6
		CORRELATOR_2_COUNT = 7
		CORRELATOR_3_COUNT = 8
		CORRELATOR_4_COUNT = 9
		CORRELATOR_COUNT = [ CORRELATOR_1_COUNT, CORRELATOR_2_COUNT, CORRELATOR_3_COUNT, CORRELATOR_4_COUNT, ]
		CORR_IQ_MAG = 10
		CORR_0_OUT_MAG = 11
		CORR_1_OUT_MAG = 12
		CORR_OUT_MAG = [ CORR_0_OUT_MAG, CORR_1_OUT_MAG, ]
		CORR_0_OUT_THRESH = 13
		CORR_1_OUT_THRESH = 14
		CORR_OUT_THRESH = [ CORR_0_OUT_THRESH, CORR_1_OUT_THRESH, ]
		CORR_RSSI = 15
		CORR_0_SET_THRESHOLD = 16
		CORR_1_SET_THRESHOLD = 17
		CORR_SET_THRESHOLD = [ CORR_0_SET_THRESHOLD, CORR_1_SET_THRESHOLD, ]
		CPLENGTH = 18
		DISABLE_TIMING_CORRECTION = 19
		DOWNEND = 20
		DOWNSTART = 21
		FFT_SCALING = 22
		FRAMECOUNT = 23
		FRAMELENGTH = 24
		FRAMENUMBER = 25
		LASTSYNC = 26
		MODSELECT = 27
		MOD_CONFIG = 28
		NUMSYMS = 29
		PILOTDURATION = 30
		PILOTEND = 31
		PILOTGUARD = 32
		PILOTGUARDEND = 33
		PILOTSTART = 34
		PREAMBLEEND = 35
		RADIO_1_TERMINAL_INDEX = 36
		RADIO_2_TERMINAL_INDEX = 37
		RADIO_TERMINAL_INDEX = [ RADIO_1_TERMINAL_INDEX, RADIO_2_TERMINAL_INDEX, ]
		RESETFRAMECOUNT = 38
		RSSI_LENGTH_SEL = 39
		SETAGC = 40
		SETDCO = 41
		UPEND = 42
		UPSTART = 43
		ZEROINSERT = 44
		AGC_LUT_BUFF_RADIO_1 = 45
		AGC_LUT_BUFF_RADIO_2 = 46
		AGC_LUT_BUFF_RADIO = [ AGC_LUT_BUFF_RADIO_1, AGC_LUT_BUFF_RADIO_2, ]
		CORR_0_BUFF = 47
		CORR_1_BUFF = 48
		CORR_BUFF = [ CORR_0_BUFF, CORR_1_BUFF, ]
		INVPILOT_BUFF = 49
		RSSI_BUFF_RADIO_1 = 50
		RSSI_BUFF_RADIO_2 = 51
		RSSI_BUFF_RADIO = [ RSSI_BUFF_RADIO_1, RSSI_BUFF_RADIO_2, ]
		RXBUFF_RADIO_1 = 52
		RXBUFF_RADIO_2 = 53
		RXBUFF_RADIO = [ RXBUFF_RADIO_1, RXBUFF_RADIO_2, ]
		TXBUFF_PILOT = 54
		TXBUFF_RADIO_1 = 55
		TXBUFF_RADIO_2 = 56
		TXBUFF_RADIO = [ TXBUFF_RADIO_1, TXBUFF_RADIO_2, ]


		buffer_start = AGC_LUT_BUFF_RADIO_1


		buffer_end = TXBUFF_RADIO_2
