from argoscc.channel_analysis import *
if __name__ == '__main__':
	h5log, userCSI, noise, num_users, samps_per_user, timestep = openLog('logs/ArgosCSI-8x6-2015-11-28-14-47-06_mob.hdf5')
	
	starttime = time.time()
	
	#userCSI = userCSI[:1500,:,:,:] #only do it for the first n samples
	corr_lag = calCoherence(userCSI,timestep=timestep)
	mcorr_lag_sc = np.mean(corr_lag,axis=0)
	mcorr_lag = np.mean(mcorr_lag_sc,axis=2)
	time_vec = np.arange(0,mcorr_lag.shape[0]*timestep,timestep)
	plt.plot(time_vec,mcorr_lag)
	plt.xlabel('Lag Time (s)')
	plt.ylabel('Expected Coherence')
	
	
	std_corr_lag_sc = np.std(corr_lag,axis=0)
	std_corr_lag = np.mean(std_corr_lag_sc,axis=2)
	
	plt.figure(2)
	num_plot = 200
	user = 0
	plt.errorbar(time_vec[:num_plot], mcorr_lag[:num_plot,user], std_corr_lag[:num_plot,user], linestyle='None', marker='^')
	plt.xlabel('Lag Time (s)')
	plt.ylabel('Expected Coherence and Error')
	
	plt.figure(3)
	lag=1
	srted=np.sort( np.mean(corr_lag[:,lag,0,:],axis=1) )
	yvals=np.arange(len(srted))/float(len(srted))
	plt.plot( srted, yvals )
	plt.xlabel('Coherence at %f s' % (lag*timestep))
	plt.ylabel('CDF')
	
	print(time.time()-starttime)
	
	h5file = h5py.File('corr_lag_mobile.hdf5', "w")
	h5file.create_dataset("corr_lag", data=corr_lag)
	h5file.close()
